# ``twisted`.`mail`.`interfaces`.`IMessageSMTP``

interface documentation

`class IMessageSMTP(Interface): (source)`

Known implementations: `twisted.mail.alias.FileWrapper`, `twisted.mail.alias.MessageWrapper`, `twisted.mail.alias.MultiWrapper`, `twisted.mail.mail.FileMessage`

View In Hierarchy

Interface definition for messages that can be sent via SMTP.

Method | `connectionLost` | Handle message truncated.
Method | `eomReceived` | Handle end of message.
Method | `lineReceived` | Handle another line.

def connectionLost(): (source)

Handle message truncated.

semantics should be to discard the message

def eomReceived(): (source)

Handle end of message.

return a deferred. The deferred should be called with either: callback(string) or errback(error)

Returns
`Deferred` | Undocumented

def lineReceived(line): (source)
Handle another line.